Get tax definitions

get

/api/v1/taxes

{basePath}/taxes?orgShortName=tfoinc&locRef=fdmnh144&rvcRef=42

Get tax configuration for a revenue center. This request provides the tax class that is referenced by menu items and the tax rates and tax types referenced by the tax classes. The tax classes will indicate which tax rates are active when that tax class is used by an item.

Request

Supported Media Types
Query Parameters
Header Parameters
Back to Top

Response

Supported Media Types

200 Response

Tax definitions
Headers
  • The current entity-tag for the selected representation. See RFC 7232 Section 2.3
  • A timestamp indicating the date and time at which the origin server believes the selected representation was last modified. See RFC 7232 Section 2.2
Body ()
Root Schema : TaxDefinitions
Type: object
Tax definitions for a revenue center.
Show Source
Nested Schema : OrgLocRvcProperties
Type: object
A collection of properties for orgShortName, locRef and rvcRef
Show Source
Nested Schema : taxClasses
Type: array
Array of tax clases.
Show Source
Nested Schema : taxRates
Type: array
Array of tax rates.
Show Source
Nested Schema : TaxClassItem
Type: object
Tax class defines a collection of active tax rates.
Show Source
Nested Schema : activeTaxRateRefs
Type: array
Set of references to active tax rate items for this tax class.
Show Source
Nested Schema : TaxRateItem
Type: object
Definition of a tax rate.
Show Source
Nested Schema : breakpoints
Type: array
breakpoint table
Show Source
Nested Schema : TranslatedString
Type: object
Additional Properties Allowed
Show Source
A string that contains translations into multiple languages.
Example:
{
    "en-GB":"Special Delivery",
    "de-DE":"Sonderlieferung",
    "es-ES":"Entrega especial",
    "sk-SK":"Špeciálna zásielka"
}

304 Response

304 Not Modified

400 Response

400 Bad Request
Body ()
Root Schema : ConfigurationApiProblemDetails
Type: object
Problem details is used as standard model for reporting details when HTTP error status code is returned. This definition is defined by [RFC7807](https://tools.ietf.org/html/rfc7807). The content type for this response is `application/problem+json`
Show Source
  • A human-readable explanation specific to this occurrence of the problem.
    Example: The OrgShortName value is required.
  • A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
    Example: required_value_missing
  • A short, human-readable summary of the problem type.
    Example: Required value not specified.
  • A URI reference that identifies the problem type. When this member is not present, its value is assumed to be "about:blank".
    Example: error:validation
Example:
{
    "type":"error:validation",
    "title":"Required value not specified.",
    "details":"The OrgShortName value is required.",
    "instance":"required_value_missing"
}

401 Response

401 Unauthorized
Headers
  • Bearer authentication challenge. When token validation fails, the header may include error and error_description parameters.

    The following conditions and HTTP response examples are illustrative and not exhaustive. Error descriptions may vary.

    No token provided: No access token is provided, or the Authorization request header is missing. The response header is WWW-Authenticate: Bearer, without error or error_description parameters.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer

    Expired token: The access token has expired. The timestamp in this example is illustrative.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer error="invalid_token", error_description="The token expired at '05/19/2026 17:16:29'"

    Signing key not found: The token cannot be validated because its signing key was not found. For example, the token's key ID (kid) does not match a key in the JSON Web Key Set (JWKS) used for validation.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer error="invalid_token", error_description="The signature key was not found"

    Invalid signature: The token signature is invalid. For example, the token may have been modified.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer error="invalid_token", error_description="The signature is invalid"

    For the missing-token, signing-key-not-found, and invalid-signature examples above, the response body is empty. The authentication error details are provided in the WWW-Authenticate response header.

    The response may include an additional WWW-Authenticate header containing a bare Bearer challenge alongside the challenge shown in these examples.

Back to Top

Examples

Example Request Body

Not applicable for this endpoint.

Example Response Body

The following example shows the contents of the response body in JSON format:


{
  "orgShortName": "mymeal",
  "locRef": "store66",
  "rvcRef": 2,
  "taxClasses": [
    {
      "taxClassId": 0,
      "activeTaxRateRefs": [
        0
      ]
    }
  ],
  "taxRates": [
    {
      "taxRateId": 0,
      "percentage": 0,
      "taxType": "addonBreakpoint",
      "name": {
        "en-US": "Coffee",
        "de-DE": "Kaffee",
        "ar-AR": "قهوة"
      },
      "repeatStartIndex": 0,
      "repeatEndIndex": 0,
      "startAmount": 0,
      "breakpoints": [
        0
      ]
    }
  ]
}
Back to Top